import * as $dara from '@darabonba/typescript';
import { CreateNetworkInterfacePermissionResponseBody } from "./CreateNetworkInterfacePermissionResponseBody";
export declare class CreateNetworkInterfacePermissionResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateNetworkInterfacePermissionResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
